Bug 10323 - unaligned access on xloadimage, other troubles
unaligned access on xloadimage, other troubles
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xloadimage (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-23 22:47 EST by michal
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-27 11:25:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch and modified spec for xloadimage (2.19 KB, application/octet-stream)
2000-03-23 22:48 EST, michal
no flags Details

  None (edit)
Description michal 2000-03-23 22:47:37 EST
xloadimage attempts to access int variable through pointers to
unsigned longs (required by a used function prototype) causing
various nasties in the process.

Attached to this report is a patch for that and few other obvious
misfeatures (wrong numbers of arguments, arguments of wrong types)
and a spec file which applies this patch.

  Michal Jaegermann
  michal@harddata.com
Comment 1 michal 2000-03-23 22:48:59 EST
Created attachment 159 [details]
patch and modified spec for xloadimage
Comment 2 Bill Nottingham 2000-03-27 11:25:59 EST
Fixed in the -14 build.

Note You need to log in before you can comment on or make changes to this bug.